.wrapper {
    width: 190px;
    height: 300px;
    background-color: white;
    border-radius: 2px;
    box-shadow: 0 1px 5px 0 #c0c0c0;
    position: relative;
    border: 1px solid transparent;
    margin-right: 12px;

    &:hover {
        cursor: pointer;
        transform: translateY(-2px);
        background-color: #f9f9f9;
        box-shadow: 0 1px 8px 0 #9a9a9a;
    }
}

.content {
    display: flex;
    flex-direction: column;
    position: relative;
}

.image {
    width: 188px;
    height: 188px;
    background-repeat: no-repeat;
    object-fit: cover;
}

.name {
    font-size: 1.6rem;
    height: 3.6rem;
    margin-top: 8px;
    padding: 0 4px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

.price {
    line-height: 1.4rem;
    font-size: 1.4rem;
    padding: 0 4px;
    color: #7e7e7e;
    text-decoration: line-through;
    margin-top: 18px;
}

.new-price {
    font-size: 1.8rem;
    padding: 0 4px;
    margin-top: 4px;
    color: #e94560;
}

.sale {
    position: absolute;
    top: -2px;
    right: -2px;
    display: flex;
    flex-direction: column;
    width: 36px;
    height: 36px;
    background-color: rgba(255, 255, 0, 0.7);
    align-items: center;
    border-top-right-radius: 2px;

    &::after {
        content: "";
        position: absolute;
        left: 0;
        bottom: -8px;
        border-width: 0 18px 8px;
        border-style: solid;
        border-color: transparent rgba(255, 255, 0, 0.7) transparent rgba(255, 255, 0, 0.7);
    }
}

.percent {
    font-size: 1.4rem;
    color: #e94560;
    margin-top: 2px;
}

.label {
    font-size: 1.2rem;
    margin-top: 2px;
    color: greenyellowư;
}

.btn-add {
    width: 36px;
    height: 36px;
    background-color: #e94560;
    border-radius: 2px;
    position: absolute;
    bottom: 8px;
    right: 8px;

    &:hover {
        cursor: pointer;
        opacity: 0.85;
    }
}